            #GIT_CMT=de0e84e24749862f4bb1906bf552a0cdbffb7e4e
%global flavor ora

%define debug_package %{nil}

Name:           oracle-rdma-release
Version:        0.31.0
Release:        1%{?dist}%{?flavor}
Summary:        Oracle RDMA userspace libraries, utilities, and daemons

License:        GPLv2 or BSD
Source0: oracle-rdma-release-0.31.0.tar.bz2

Obsoletes:      oracle-ofed-release < 5:0
Obsoletes:      libibmad-devel < 5:0

%description
This meta-package is now obsolete. It only exists so that it can remove the
dependencies that earlier versions of the package placed on Oracle RDMA
userspace packages. This package can be safely removed.

%package guest
Summary:        Oracle RDMA userspace libraries, utilities, and daemons

License:        GPLv2 or BSD

Obsoletes:      oracle-ofed-release-guest < 5:0
Obsoletes:      libibmad-devel < 5:0

%description guest
This meta-package is now obsolete. It only exists so that it can remove the
dependencies that earlier versions of the package placed on Oracle RDMA
userspace packages for Virtual Machines. This package can be safely removed.

%prep
%setup -q


%build


%install


%files
%defattr(-,root,root)
%doc COPYING


%files guest
%defattr(-,root,root)
%doc COPYING


%changelog
* Wed Sep 04 2024 Mark Haywood <mark.haywood@oracle.com> - 0:0.31.0-1
- spec: Remove all dependencies (Mark Haywood) [Orabug: 36766204]

* Thu Mar 21 2024 Mark Haywood <mark.haywood@oracle.com> - 0:0.30.0-1
- rdma-core:            Release 5:34.0-1.0.8

* Thu Dec 01 2022 Mark Haywood <mark.haywood@oracle.com> - 0:0.29.0-1
- oracle-rdma-tools:    Release v0:0.11.4-1

* Wed Nov 16 2022 Mark Haywood <mark.haywood@oracle.com> - 0:0.28.0-1
- oracle-rdma-tools:    Release v0:0.11.3-1

* Thu Nov 03 2022 Mark Haywood <mark.haywood@oracle.com> - 0:0.27.0-1
- oracle-rdma-tools:    Release v0:0.11.2-1

* Tue Sep 20 2022 Mark Haywood <mark.haywood@oracle.com> - 0:0.26.0-1
- mstflint:             Release v5:4.20.1-1.0.1
- rds-tools:            Release v5:2.3.8-1

* Mon Aug 29 2022 Mark Haywood <mark.haywood@oracle.com> - 0:0.25.0-1
- mstflint:             Release v5:4.18.0-1.0.3

* Thu Aug 11 2022 Mark Haywood <mark.haywood@oracle.com> - 0:0.24.0-1
- mstflint:             Release v5:4.21.0-1.0.1

* Tue Jul 19 2022 Mark Haywood <mark.haywood@oracle.com> - 0:0.23.0-1
- rdma-core:            Release 5:34.0-1.0.7
- rds-tools:            Release v5:2.3.7-1

* Tue Jul 12 2022 Mark Haywood <mark.haywood@oracle.com> - 0:0.22.0-1
- mstflint:             Release v5:4.20.1-1.0.1
- rds-tools:            Release v5:2.3.6-1

* Wed May 11 2022 Mark Haywood <mark.haywood@oracle.com> - 0:0.21.0-2
- oracle-rdma-tools:    Release v0:0.11.1-1

* Thu May 05 2022 Mark Haywood <mark.haywood@oracle.com> - 0:0.21.0-1
- ibacm:                Release v5:34.0-1.0.5
- ibutils:              Release v5:1.5.7-0.2.gbd7e502.0.9
- infiniband-diags:     Release v5:34.0-1.0.5
- libibacl:             Release v0:1.0-9
- libibumad:            Release v5:34.0-1.0.5
- libibverbs:           Release v5:34.0-1.0.5
- libibverbs-utils:     Release v5:34.0-1.0.5
- librdmacm:            Release v5:34.0-1.0.5
- librdmacm-utils:      Release v5:34.0-1.0.5
- mstflint:             Release v5:4.18.0-1.0.3
- opensm-libs:          Release v5:3.3.23-1.0.2
- oracle-rdma-tools:    Release v0:0.11.0-1
- perftest:             Release v5:4.5-1.0.3
- qperf:                Release v5:0.4.11-1.0.9
- rdma-core:            Release v5:34.0-1.0.5
- rdma-core-devel:      Release v5:34.0-1.0.5
- rds-tools:            Release v5:2.3.5-2
- oracle/spec: Update package descriptions and summaries (Mark Haywood) [Orabug: 34110737]

* Thu Mar 10 2022 Mark Haywood <mark.haywood@oracle.com> - 0:0.20.0-1
- ibacm:                Release v5:34.0-1.0.4
- infiniband-diags:     Release v5:34.0-1.0.4
- libibumad:            Release v5:34.0-1.0.4
- libibverbs:           Release v5:34.0-1.0.4
- libibverbs-utils:     Release v5:34.0-1.0.4
- librdmacm:            Release v5:34.0-1.0.4
- librdmacm-utils:      Release v5:34.0-1.0.4
- oracle-rdma-tools:    Release v0:0.10.1-1
- rdma-core:            Release v5:34.0-1.0.4
- rdma-core-devel:      Release v5:34.0-1.0.4
- rds-tools:            Release v5:2.3.5-1

*Thu Jan 27 2022 Mark Haywood <mark.haywood@oracle.com> - 0:0.19.0-1
- mstflint:             Release v5:4.18.0-1.0.2

* Tue Sep 28 2021 Mark Haywood <mark.haywood@oracle.com> - 0:0.18.2-1
- ibacm:                Release v5:34.0-1.0.3
- infiniband-diags:     Release v5:34.0-1.0.3
- libibumad:            Release v5:34.0-1.0.3
- libibverbs:           Release v5:34.0-1.0.3
- libibverbs-utils:     Release v5:34.0-1.0.3
- librdmacm:            Release v5:34.0-1.0.3
- librdmacm-utils:      Release v5:34.0-1.0.3
- perftest:             Release v5:4.5-1.0.2
- rdma-core:            Release v5:34.0-1.0.3
- rdma-core-devel:      Release v5:34.0-1.0.3

* Wed May 05 2021 Mark Haywood <mark.haywood@oracle.com> - 0:0.18.1-1
- spec: Add symlinks libibmad.so, libibumad.so, libibverbs.so, librdmacm.so (Mark Haywood) [Orabug: 32753552]

* Thu Apr 01 2021 Mark Haywood <mark.haywood@oracle.com> - 0:0.18.0-1
- spec: Remove symlink libibmad.so -> libibmad.so.5 (Mark Haywood) [Orabug: 32379745]
- spec: Remove rdma-core-devel as dependency (Mark Haywood)[Orabug: 32384782]
- spec: Move infiniband-diags/infiniband-diags-guest "Conflicts" to rdma-core (Mark Haywood)[Orabug: 32605771]
- ibacm:                Release v5:34.0-1.0.2
- ibutils:              Release v5:1.5.7-0.2.gbd7e502.0.8
- infiniband-diags:     Release v5:34.0-1.0.2
- libibumad:            Release v5:34.0-1.0.2
- libibverbs:           Release v5:34.0-1.0.2
- libibverbs-utils:     Release v5:34.0-1.0.2
- librdmacm:            Release v5:34.0-1.0.2
- librdmacm-utils:      Release v5:34.0-1.0.2
- opensm-libs:          Release v5:3.3.23-1.0.1
- perftest:             Release v5:4.5-1.0.1
- rdma-core:            Release v5:34.0-1.0.2
- rdma-core-devel:      Release v5:34.0-1.0.2
- rds-tools:            Release v5:2.3.4-1

* Wed Oct 21 2020 Mark Haywood <mark.haywood@oracle.com> - 0:0.17.0-1
- mstflint:             Release v5:4.15.0-1.0.1
- rds-tools:            Release v5:2.3.3-1

* Fri Sep 11 2020 Mark Haywood <mark.haywood@oracle.com> - 0:0.16.0-1
- ibacm:                Release v5:20.2-1.0.8
- libibumad:            Release v5:20.2-1.0.8
- libibverbs:           Release v5:20.2-1.0.8
- libibverbs-utils:     Release v5:20.2-1.0.8
- librdmacm:            Release v5:20.2-1.0.8
- librdmacm-utils:      Release v5:20.2-1.0.8
- rdma-core:            Release v5:20.2-1.0.8
- rdma-core-devel:      Release v5:20.2-1.0.8

* Fri May 22 2020 Mark Haywood <mark.haywood@oracle.com> - 0:0.15.0-1
- ibacm:                Release v5:20.2-1.0.7
- libibumad:            Release v5:20.2-1.0.7
- libibverbs:           Release v5:20.2-1.0.7
- libibverbs-utils:     Release v5:20.2-1.0.7
- librdmacm:            Release v5:20.2-1.0.7
- librdmacm-utils:      Release v5:20.2-1.0.7
- rdma-core:            Release v5:20.2-1.0.7
- rdma-core-devel:      Release v5:20.2-1.0.7
- rds-tools:            Relesae v5:2.3.2-2

* Wed Mar 11 2020 Mark Haywood <mark.haywood@oracle.com> - 0:0.14.0-1
- ibacm:                Release v5:20.2-1.0.6
- libibumad:            Release v5:20.2-1.0.6
- libibverbs:           Release v5:20.2-1.0.6
- libibverbs-utils:     Release v5:20.2-1.0.6
- librdmacm:            Release v5:20.2-1.0.6
- librdmacm-utils:      Release v5:20.2-1.0.6
- mstflint:             Release v5:4.13.3-2.0.1
- rdma-core:            Release v5:20.2-1.0.6
- rdma-core-devel:      Release v5:20.2-1.0.6

* Wed Feb 12 2020 Aron Silverton <aron.silverton@oracle.com> - 0:0.13.0-1
- spec: Do not include ibutils and libibacl for OL8 (Aron Silverton) [Orabug: 30522333]
- ibacm:                Release v5:20.2-1.0.5
- infiniband-diags:     Release v5:2.0.0-1.0.9
- libibumad:            Release v5:20.2-1.0.5
- libibverbs:           Release v5:20.2-1.0.5
- libibverbs-utils:     Release v5:20.2-1.0.5
- librdmacm:            Release v5:20.2-1.0.5
- librdmacm-utils:      Release v5:20.2-1.0.5
- mstflint:             Release v5:4.12.0-1.0.2
- opensm-libs:          Release v5:3.3.20-1.0.5
- oracle-rdma-tools:    Release v0:0.10.0-1
- perftest:             Release v5:4.2-1.0.7
- qperf:                Release v5:0.4.11-1.0.8
- rdma-core:            Release v5:20.2-1.0.5
- rdma-core-devel:      Release v5:20.2-1.0.5
- rds-tools:            Relesae v5:2.3.2-1

* Mon Jan 06 2020 Aron Silverton <aron.silverton@oracle.com> - 0:0.12.0-1
- rds-tools:            Release v5:2.3.0-2

* Mon Aug 12 2019 Mark Haywood <mark.haywood@oracle.com> - 0:0.11.0-1
- oracle-rdma-tools:    Release v0:0.9.1-1

* Tue Aug 06 2019 Mark Haywood <mark.haywood@oracle.com> - 0:0.10.0-1
- oracle-rdma-tools:    Release v0:0.9.0-1

* Fri Jun 28 2019 Aron Silverton <aron.silverton@oracle.com> - 0:0.9.0-1
- spec: Add symlink libibmad.so -> libibmad.so.5 (Aron Silverton) [Orabug: 29932504]
- ibacm:                Release v5:20.2-1.0.4
- libibumad:            Release v5:20.2-1.0.4
- libibverbs:           Release v5:20.2-1.0.4
- libibverbs-utils:     Release v5:20.2-1.0.4
- librdmacm:            Release v5:20.2-1.0.4
- librdmacm-utils:      Release v5:20.2-1.0.4
- mstflint:             Release v5:4.12.0-1.0.1
- oracle-rdma-tools:    Release v0:0.8.2-1
- rdma-core:            Release v5:20.2-1.0.4
- rdma-core-devel:      Release v5:20.2-1.0.4

* Fri Jun 07 2019 Aron Silverton <aron.silverton@oracle.com> - 0:0.8.0-2
- spec: Obsolete oracle-ofed-release (Aron Silverton) [Orabug: 29873464]
- spec: Obsolete libibmad-devel (Aron Silverton) [Orabug: 29873464]
- infiniband-diags:     Release v5:2.0.0-1.0.8
- rds-tools:            Release v5:2.2.0-2

* Mon May 06 2019 Aron Silverton <aron.silverton@oracle.com> - 0:0.8.0-1
- ibacm:                Release v5:20.2-1.0.3
- infiniband-diags:     Release v5:2.0.0-1.0.7
- libibumad:            Release v5:20.2-1.0.3
- libibverbs:           Release v5:20.2-1.0.3
- libibverbs-utils:     Release v5:20.2-1.0.3
- librdmacm:            Release v5:20.2-1.0.3
- librdmacm-utils:      Release v5:20.2-1.0.3
- oracle-rdma-tools:    Release v0:0.8.1-1
- qperf:                Release v5:0.4.11-1.0.7
- rdma-core:            Release v5:20.2-1.0.3
- rdma-core-devel:      Release v5:20.2-1.0.3

* Mon Mar 04 2019 Aron Silverton <aron.silverton@oracle.com> - 0:0.7.0-1
- ibacm:                Release v5:19.2-1.0.3
- libibumad:            Release v5:19.2-1.0.3
- libibverbs:           Release v5:19.2-1.0.3
- libibverbs-utils:     Release v5:19.2-1.0.3
- librdmacm:            Release v5:19.2-1.0.3
- librdmacm-utils:      Release v5:19.2-1.0.3
- oracle-rdma-tools:    Release v0:0.8.0-1
- perftest:             Release v5:4.2-1.0.6
- qperf:                Release v5:0.4.11-1.0.6
- rdma-core:            Release v5:19.2-1.0.3
- rdma-core-devel:      Release v5:19.2-1.0.3
- rds-tools:            Release v0:2.2.0-1

* Thu Jan 10 2019 Aron Silverton <aron.silverton@oracle.com> - 0:0.6.0-1
- ibacm:                Release v5:17.1-1.0.7
- libibumad:            Release v5:17.1-1.0.7
- libibverbs:           Release v5:17.1-1.0.7
- libibverbs-utils:     Release v5:17.1-1.0.7
- librdmacm:            Release v5:17.1-1.0.7
- librdmacm-utils:      Release v5:17.1-1.0.7
- oracle-rdma-tools:    Release v0:0.7.1-1
- rdma-core:            Release v5:17.1-1.0.7
- rdma-core-devel:      Release v5:17.1-1.0.7

* Thu Jan 10 2019 Aron Silverton <aron.silverton@oracle.com> - 0:0.5.1-3
- spec: Create "guest" subpackage for VMs (Aron Silverton) [Orabug: 29200281]
- infiniband-diags:     Release v5:2.0.0-1.0.6

* Fri Nov 09 2018 Aron Silverton <aron.silverton@oracle.com> - 0:0.5.1-2
- spec: Change "vos" to "ora" and update summaries and descriptions [Orabug: 29128747]
- ibacm:                Release v5:17.1-1.0.6
- ibutils:              Release v5:1.5.7-0.2.gbd7e502.0.7
- infiniband-diags:     Release v5:2.0.0-1.0.5
- libibacl:             Release v0:1.0-8
- libibumad:            Release v5:17.1-1.0.6
- libibverbs:           Release v5:17.1-1.0.6
- libibverbs-utils:     Release v5:17.1-1.0.6
- librdmacm:            Release v5:17.1-1.0.6
- librdmacm-utils:      Release v5:17.1-1.0.6
- mstflint:             Release v5:4.10.0-2.0.3
- opensm-libs:          Release v5:3.3.20-1.0.4
- oracle-rdma-tools:    Release v0:0.7.0-2
- perftest:             Release v5:4.2-1.0.5
- qperf:                Release v5:0.4.11-1.0.5
- rdma-core:            Release v5:17.1-1.0.6
- rdma-core-devel:      Release v5:17.1-1.0.6
- rds-tools:            Release v0:2.1.1-3

* Fri Nov 02 2018 Aron Silverton <aron.silverton@oracle.com> - 0:0.5.1-1
- perftest:             Release v5:4.2-1.0.3
- qperf:                Release v5:0.4.11-1.0.3

* Tue Oct 30 2018 Aron Silverton <aron.silverton@oracle.com> - 0:0.5.0-1
- ibacm:                Release v5:17.1-1.0.5
- infiniband-diags:     Release v5:2.0.0-1.0.4
- libibumad:            Release v5:17.1-1.0.5
- libibverbs:           Release v5:17.1-1.0.5
- libibverbs-utils:     Release v5:17.1-1.0.5
- librdmacm:            Release v5:17.1-1.0.5
- librdmacm-utils:      Release v5:17.1-1.0.5
- oracle-rdma-tools:    Release v0:0.7.0-1
- rdma-core:            Release v5:17.1-1.0.5
- rdma-core-devel:      Release v5:17.1-1.0.5

* Mon Aug 27 2018 Aron Silverton <aron.silverton@oracle.com> - 0:0.4.0-1
- Add "vos" to RPM release number (Aron Silverton) [Orabug 28550856]
- ibacm:                Release v5:17.1-1.0.4
- ibutils:              Release v5:1.5.7-0.2.gbd7e502.0.6
- infiniband-diags:     Release v5:2.0.0-1.0.3
- libibacl:             Release v0:1.0-7
- libibumad:            Release v5:17.1-1.0.4
- libibverbs:           Release v5:17.1-1.0.4
- libibverbs-utils:     Release v5:17.1-1.0.4
- librdmacm:            Release v5:17.1-1.0.4
- librdmacm-utils:      Release v5:17.1-1.0.4
- mstflint:             Release v5:4.10.0-2.0.2
- opensm-libs:          Release v5:3.3.20-1.0.3
- oracle-rdma-tools:    Release v0:0.6.0-2
- perftest:             Release v5:4.2-1.0.3
- qperf:                Release v5:0.4.11-1.0.3
- rdma-core:            Release v5:17.1-1.0.4
- rdma-core-devel:      Release v5:17.1-1.0.4
- rds-tools:            Release v0:2.1.1-2

* Wed Jul 11 2018 Aron Silverton <aron.silverton@oracle.com> - 0.3.0-1
- ibacm: Release v5:17.1-1.0.3
- libibumad: Release v5:17.1-1.0.3
- libibverbs: Release v5:17.1-1.0.3
- libibverbs-utils: Release v5:17.1-1.0.3
- librdmacm: Release v5:17.1-1.0.3
- librdmacm-utils: Release v5:17.1-1.0.3
- mstflint: Release v5:4.9.0-3.0.2
- rdma-core: Release v5:17.1-1.0.3
- rdma-core-devel: Release v5:17.1-1.0.3

* Wed May 30 2018 Aron Silverton <aron.silverton@oracle.com> - 0.2.0-1
- First release (Aron Silverton) [Orabug: 27774601]
